Skip to main content
GET
Get investor-interest saved search

Authorizations

X-API-Key
string
header
required

Path Parameters

searchId
string
required

The ID of the saved search being requested.

Response

The details of the query for a given search id.

Saved-search metadata common to every product.

Returned as-is by the people, talent, investor-interest, funding-rounds, acquisitions and IPOs detail endpoints, and subclassed by the products that publish their own descriptions or counts.

id
integer
required

The search id for the search, this should be used to query for results for the search.

Example:

40254

name
string
required

Name of the search

Example:

"Nordic Stealth Founders Raising Rounds"

query_id
integer
required

The query id that this search is related to. It opens the search in the app as the last segment of the feed of the search's product_type: for example https://app.tryspecter.com/companies/10 for a company search, /people/10 for people, /people/talent/10 for talent signals, /investors/10 for investors, /investors/interest/10 for investor interest signals, and /transactions/funding-rounds/10, /transactions/acquisitions/10 or /transactions/ipos/10 for the transaction products.

Example:

226132

product_type
string
required

The type of product the search relates to.

Example:

"stratintel"

owner_id
string
required

Id of the user who owns the saved search. Only a search owned by an admin of your organization can be deleted through the API.

full_count
integer | null

The total number of items that are returned by this search.

Example:

21

is_global
boolean
default:false

This flags searches recommended by Specter for all users

Example:

false